package de.intevation.mxd.reader;

import java.io.IOException;

import org.apache.log4j.Logger;

import com.esri.arcgis.geodatabase.IClass;
import com.esri.arcgis.geodatabase.FeatureClass;

import org.w3c.dom.Node;

/**
 * Reads FeatureClass information.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class FeatureClassReader
implements IClassReader {

    /**
     * The Logger.
     */
    private static final Logger logger =
        Logger.getLogger(FeatureClassReader.class);

    /**
     * Private member.
     */
    private IClass fclass;
    private Node parent;


    public FeatureClassReader(IClass cl)
    throws Exception {
        if(cl instanceof FeatureClass) {
            this.fclass = cl;
        }
        else {
            throw new Exception("Not a FeatureClass object!" +
                                cl.getClass().toString());
        }
    }

    /**
     * Reads the Layer content.
     *
     * @return Currently always false.
     */
    public boolean read()
    throws IOException {
        logger.debug("read() -> not implemented jet.");
        return false;
    }

    public void getClassDoc()
    throws IOException {
        logger.debug("getLayer() -> not implemented jet.");
        return;
    }

    public void setXMLNode(Node node) {
        parent = node;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
